Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF » [CDO] Unable to install CDO Model Repository Tests DB 3.0.1 due to dependency on Postgresql
[CDO] Unable to install CDO Model Repository Tests DB 3.0.1 due to dependency on Postgresql [message #666851] Sat, 23 April 2011 10:16 Go to next message
Goetz Botterweck is currently offline Goetz BotterweckFriend
Messages: 71
Registered: July 2009
Member
------------------------------------------------------------ --------------
PROBLEM
When trying to install CDO 3.0 from
http://download.eclipse.org/modeling/emf/cdo/updates/3.0-rel eases/
I cannot install "CDO Model Repository Tests" because of a dependency on
a postgres package.

If I deselect the "CDO Model Repository Tests" I can continue.

I assume that I have to install the postgres driver from somewhere else.
Any hints?

------------------------------------------------------------ --------------
ERROR MESSAGE

Software being installed: CDO Model Repository Tests
3.0.0.v20100830-1223 (org.eclipse.emf.cdo.tests.feature.group
3.0.0.v20100830-1223)
Missing requirement: CDO Model Repository Tests DB
3.0.1.v20100809-0959 (org.eclipse.emf.cdo.tests.db 3.0.1.v20100809-0959)
requires 'package org.postgresql.ds.common [8.3.603,8.4.0)' but it could
not be found
Cannot satisfy dependency:
From: CDO Model Repository Tests 3.0.0.v20100830-1223
(org.eclipse.emf.cdo.tests.feature.group 3.0.0.v20100830-1223)
To: org.eclipse.emf.cdo.tests.db [3.0.1.v20100809-0959]

------------------------------------------------------------ --------------
HOW TO REPRODUCE / WHAT I DID EXACTLY

- Downloaded and unpacked Eclipse (Eclipse Modeling Tools SR2)

- Installed additional software from the following sources

http://www.elver.org/eclipse/update_1.1.2
(all)

http://download.eclipse.org/modeling/emf/teneo/updates/1.1.2 /interim/
Teneo Hibernate SDK

http://net4j.sourceforge.net/update
(all)

http://download.eclipse.org/modeling/emf/cdo/updates/3.0-rel eases/
(all)
This step fails.
Re: [CDO] Unable to install CDO Model Repository Tests DB 3.0.1 due to dependency on Postgresql [message #667053 is a reply to message #666851] Tue, 26 April 2011 07:03 Go to previous messageGo to next message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5574
Registered: July 2009
Senior Member
Am 23.04.2011 12:16, schrieb Goetz Botterweck:
> ------------------------------------------------------------ --------------
> PROBLEM
> When trying to install CDO 3.0 from
> http://download.eclipse.org/modeling/emf/cdo/updates/3.0-rel eases/
> I cannot install "CDO Model Repository Tests" because of a dependency on
> a postgres package.
>
> If I deselect the "CDO Model Repository Tests" I can continue.
>
> I assume that I have to install the postgres driver from somewhere else.
> Any hints?
All 3rd party drivers can be installed from http://net4j.sourceforge.net/update/

Cheers
/Eike

----
http://www.esc-net.de
http://thegordian.blogspot.com
http://twitter.com/eikestepper


> ------------------------------------------------------------ --------------
> ERROR MESSAGE
>
> Software being installed: CDO Model Repository Tests
> 3.0.0.v20100830-1223 (org.eclipse.emf.cdo.tests.feature.group
> 3.0.0.v20100830-1223)
> Missing requirement: CDO Model Repository Tests DB
> 3.0.1.v20100809-0959 (org.eclipse.emf.cdo.tests.db 3.0.1.v20100809-0959)
> requires 'package org.postgresql.ds.common [8.3.603,8.4.0)' but it could
> not be found
> Cannot satisfy dependency:
> From: CDO Model Repository Tests 3.0.0.v20100830-1223
> (org.eclipse.emf.cdo.tests.feature.group 3.0.0.v20100830-1223)
> To: org.eclipse.emf.cdo.tests.db [3.0.1.v20100809-0959]
>
> ------------------------------------------------------------ --------------
> HOW TO REPRODUCE / WHAT I DID EXACTLY
>
> - Downloaded and unpacked Eclipse (Eclipse Modeling Tools SR2)
>
> - Installed additional software from the following sources
>
> http://www.elver.org/eclipse/update_1.1.2
> (all)
>
> http://download.eclipse.org/modeling/emf/teneo/updates/1.1.2 /interim/
> Teneo Hibernate SDK
>
> http://net4j.sourceforge.net/update
> (all)
>
> http://download.eclipse.org/modeling/emf/cdo/updates/3.0-rel eases/
> (all)
> This step fails.
>
>
>
Re: [CDO] Unable to install CDO Model Repository Tests DB 3.0.1 due to dependency on Postgresql [message #667057 is a reply to message #667053] Tue, 26 April 2011 09:46 Go to previous messageGo to next message
Goetz Botterweck is currently offline Goetz BotterweckFriend
Messages: 71
Registered: July 2009
Member
>> I assume that I have to install the postgres driver from somewhere else.
>> Any hints?
> All 3rd party drivers can be installed from
> http://net4j.sourceforge.net/update/

Yes, I am aware of that source. However I assume that it is a problem
with the specification of required versions:

1) CDO Model Repository Tests DB requires 'package
org.postgresql.ds.common [8.3.603,8.4.0)'

2) The URL you pasted above provides "PostgreSQL JDBC3 Driver 8.4.701"
Re: [CDO] Unable to install CDO Model Repository Tests DB 3.0.1 due to dependency on Postgresql [message #667161 is a reply to message #667057] Wed, 27 April 2011 07:26 Go to previous message
Eike Stepper is currently offline Eike StepperFriend
Messages: 5574
Registered: July 2009
Senior Member
Am 26.04.2011 11:46, schrieb Goetz Botterweck:
>>> I assume that I have to install the postgres driver from somewhere else.
>>> Any hints?
>> All 3rd party drivers can be installed from
>> http://net4j.sourceforge.net/update/
> Yes, I am aware of that source. However I assume that it is a problem
> with the specification of required versions:
>
> 1) CDO Model Repository Tests DB requires 'package
> org.postgresql.ds.common [8.3.603,8.4.0)'
>
> 2) The URL you pasted above provides "PostgreSQL JDBC3 Driver 8.4.701"
Seems we broke the update site for CDO 3.0.
In CDO 4.0 the manifests say:

org.postgresql.ds.common;version="[8.3.0,9.0.0)",
org.postgresql.jdbc3;version="[8.3.0,9.0.0)"

Cheers
/Eike

----
http://www.esc-net.de
http://thegordian.blogspot.com
http://twitter.com/eikestepper
Previous Topic:[CDO] Hibernate Oracle Store
Next Topic:[CDO] CDO 3, Hibernate Store -- HibernateQueryTest fails when run the second time
Goto Forum:
  


Current Time: Fri Nov 28 21:53:29 GMT 2014

Powered by FUDForum. Page generated in 0.01669 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software